<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="calc.css">
    
    <title>Calculator</title>
</head>
<h1 class="centered">My Calculator</h1>
<body onload="reload()">
    <div class="container">
        <div class="inner">
        <div class="displayBox centerFlex">
            <input type="text" name="display" id="display">
        </div>
        <div class="keys">
            <div class="row centerFlex">
                <button class="btn bgYellow">AC</button>
                <button class="bgYellow" id="his">History</button>
                <button class="btn bgYellow">%</button>
                <button class="btn bgYellow">/</button>
            </div>
            <div class="row centerFlex">
                <button class="btn bgBlack">7</button>
                <button class="btn bgBlack">8</button>
                <button class="btn bgBlack">9</button>
                <button class="btn bgYellow">*</button>
            </div>
            <div class="row centerFlex">
                <button class="btn bgBlack">4</button>
                <button class="btn bgBlack">5</button>
                <button class="btn bgBlack">6</button>
                <button class="btn bgYellow">-</button>
            </div>
            <div class="row centerFlex">
                <button class="btn bgBlack">1</button>
                <button class="btn bgBlack">2</button>
                <button class="btn bgBlack">3</button>
                <button class="btn bgYellow">+</button>
            </div>
            <div class="row centerFlex">
                <button class="btn bgBlack">0</button>
                <button class="btn bgYellow">Delete</button>
                <button class="btn bgYellow">.</button>
                <button class="btn bgYellow" >=</button>
            </div>
        </div>
        </div>
        <div id="history" class="history">
            
        
        </div>
    </div>
    <script>
        let historybtn=document.getElementById("his");
        let hitorytab=document.getElementById("history");
    
        historybtn.addEventListener('click',()=>{
        hitorytab.classList.toggle('show');
        //console.log('clicked');
})
        let string='';
        let SS=[];
        let string1='';
        let buttons=document.querySelectorAll('.btn');
        Array.from(buttons).forEach((button)=>{
        button.addEventListener('click',(e)=>{
            if(e.target.innerHTML== '='){
                string1=eval(string);
                document.querySelector('input').value= string1;
                div=document.createElement('div');
                data=string ;//+ '=' +eval(string);
                div.innerText = data;
                lastVal = sessionStorage.getItem("lastVal");
                hitorytab.appendChild(div);
                SS.push(string);sessionStorage.setItem("lastVal",SS);
                console.log(SS);
                

            }else if(e.target.innerHTML== 'AC'){
                string='';
                document.querySelector('input').value=string;
            }else if(e.target.innerHTML== 'Delete'){
                string=string.slice(0,-1);
                console.log('D pressed');
                document.querySelector('input').value=string;
            }
            else{
            console.log(e.target.innerHTML);
            string=string + e.target.innerHTML;
            document.querySelector('input').value=string;}
            
    })
})

let historyChilds=document.querySelectorAll('#history');
historyChilds.forEach((item)=>{
    item.addEventListener('click',(inner)=>{
        string=inner.target.innerHTML;
        console.log(string);
        document.querySelector('input').value=string;
        console.log('click registered')
})
});
function reload(){
    var div=document.createElement('div');
    var str=div.innerText=sessionStorage.getItem("lastVal");
    var arr=str.split(',');
    
    console.log("arr",arr);
    j=0;
    for(i=0;i<arr.length;i++){
        var div=document.createElement('div');
        index=arr[i];
        div.innerText=index;
        
        //console.log('j',j);
        //console.log('i=',i);
        hitorytab.appendChild(div);
        //console.log(div);
    
}}


    </script>
</body>
</html>
